## ros-foxy-clober-serial 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(clober_serial)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(Boost REQUIRED system)
find_package(Threads REQUIRED)
find_package(clober_msgs REQUIRED)

# uncomment the following section in order to fill in
# further dependencies manually.
# find_package(<dependency> REQUIRED)

include_directories(
  include include/
  ${Boost_INCLUDE_DIRS}
)

set(serial_srcs
  include/serial/serial.h
  include/serial/v8stdint.h
  src/serial/serial.cc
  src/serial/impl/unix.cc
  src/serial/impl/list_ports/list_ports_linux.cc
)

add_library(libserial ${serial_srcs})
target_link_libraries(libserial rt ${catkin_LIBRARIES})


set(EXECUTABLE_NAME "clober_serial_node")

set(DEPENDENCIES
  "geometry_msgs"
  "rclcpp"
  "std_msgs"
  "tf2_geometry_msgs"
  "tf2"
  "tf2_ros"
  "nav_msgs"
  "sensor_msgs"
  "Boost"
  "clober_msgs"
)

add_executable(${EXECUTABLE_NAME}
  src/main.cpp
  src/clober_serial.cpp
  src/clober_utils.cpp
)

target_link_libraries(${EXECUTABLE_NAME} libserial ${Boost_LIBRARIES} ${ament_LIBRARIES})
ament_target_dependencies(${EXECUTABLE_NAME} ${DEPENDENCIES})

install(TARGETS ${EXECUTABLE_NAME}
  DESTINATION lib/${PROJECT_NAME}
)

install(
  DIRECTORY launch config
  DESTINATION share/${PROJECT_NAME}
)



if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  # the following line skips the linter which checks for copyrights
  # uncomment the line when a copyright and license is not present in all source files
  #set(ament_cmake_copyright_FOUND TRUE)
  # the following line skips cpplint (only works in a git repo)
  # uncomment the line when this package is not in a git repo
  #set(ament_cmake_cpplint_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()
