=== debian/changelog ===
ros-foxy-clober-serial (0.2.0-5focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- nuc <calc100@clobot.co.kr>  Tue, 19 Apr 2022 05:23:36 -0000
